/*
 * @Descripttion:
 * @version:
 * @Author: JC9527
 * @Date: 2023-09-21 10:36:32
 * @LastEditors: JC9527
 * @LastEditTime: 2023-09-22 11:25:39
 */
import request from "@/utils/request";

export default {
  list(params) {
    return request({
      url: "/zhiyuanzhe/activity/list",
      method: "get",
      params,
    });
  },
  eventRecommendations(params) {
    return request({
      url: "/zhiyuanzhe/activity/eventRecommendations",
      method: "get",
      params,
    });
  },
  eventInvitations(params) {
    return request({
      url: "/zhiyuanzhe/activity/eventInvitations",
      method: "get",
      params,
    });
  },
  // 查看详情
  activity(id) {
    return request({
      url: "/zhiyuanzhe/activity/" + id,
      method: "get",
    });
  },
  // 参与活动
  zyzreport(data) {
    return request({
      url: "/zhiyuanzhe/zyzreport",
      method: "post",
      data,
    });
  },
  enroll(data) {
    return request({
      url: "/zhiyuanzhe/activity/enroll",
      method: "post",
      data,
    });
  },
};
